Starmade | Pixelated small block preview in adv. Build mode view
Confirmed task for development, HighPublic

Description

See tester information, description has outdated information

Preview gets pixelated by activating normal lighting

switching to simple lighting removes the effect

effect is more or less severe depending on the block in use

seen on AMD / Intel and Nvidia 775M from reports.

Details

Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.199.646
Category
Ingame GUI/HUD
First occurrence (version)
0.199.217
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
User/Reporter/Contact
URL to Starmadedock thread
https://starmadedock.net/threads/help-orientation-view-in-adv-build-mode-is-pixelated.26758/
Tester information (Internal use only)

Problem changed slightly from pixelated to black and whitish texture mashup ?


With normal lighting


With simple lighting and normal mapping enabled

Without normal mapping

Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
lancake claimed this task.EditedSep 19 2016, 8:48 PM
lancake added a subscriber: lancake.

Still not sure what would cause it. Can't confirm for Nvidia, that report might be incorrect if that person was accidentally using intel HD graphics.

EDIT: Nvidia was a mobile card, 775M with old driver 310

lancake shifted this object from the S1 Public space to the S3 Starmade space.Sep 19 2016, 8:52 PM
lancake triaged this task as "Release Blocker" priority.
lancake changed the visibility from "Custom Policy" to "Public (No Login Required)".
lancake changed the edit policy from "Task Author" to "Starmade (Project)".
lancake changed Last tested (version) from 0.199.223 (DEV) to 0.199.223.
lancake set First occurrence (version) to 0.199.217.
Restricted Application added a subscriber: AndyP. · View Herald TranscriptSep 19 2016, 8:52 PM
lancake changed the task status from "Open" to "In Queue (Game)".Sep 20 2016, 8:48 PM
lancake edited the task description. (Show Details)
Restricted Application edited projects, added Game Development; removed Issue Navigation. · View Herald TranscriptSep 20 2016, 8:48 PM
schema changed the task status from "In Queue (Game)" to "Resolved".Mar 7 2017, 5:56 PM
schema lowered the priority of this task from "Release Blocker" to "Urgent".
schema added a subscriber: schema.

Possibly resolved by previous update

Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptMar 7 2017, 5:56 PM
SmilingDemon changed the task status from "Resolved" to "In Queue (Game)".Mar 7 2017, 7:25 PM
SmilingDemon edited Tester information (Internal use only). (Show Details)
SmilingDemon changed Last tested (version) from 0.199.223 to 0.199.472.
Restricted Application edited projects, added Game Development; removed Quality Assurance. · View Herald TranscriptMar 7 2017, 7:25 PM
SmilingDemon edited Tester information (Internal use only). (Show Details)Mar 7 2017, 7:26 PM

-QA Testing-
not fixed .. problem changed slighly

AndyP changed the task status from "In Queue (Game)" to "In Queue".Mar 10 2017, 5:04 PM
Restricted Application added a project: Engine. · View Herald TranscriptMar 10 2017, 5:04 PM
schema lowered the priority of this task from "Urgent" to "High".Mar 11 2017, 2:32 AM
AndyP moved this task from Backlog / Unclassed to Building on the Engine board.Mar 16 2017, 2:07 PM
AndyP edited projects, added Engine (Building); removed Engine.
AndyP changed Category from Engine to Ingame GUI/HUD.
Restricted Application edited projects, added GUI/HUD; removed Engine (Building). · View Herald TranscriptMar 16 2017, 7:01 PM
AndyP moved this task from Backlog / Unclassed to Beta on the GUI/HUD board.Mar 24 2017, 9:49 AM

still happens,
using amd r9 280x

lancake edited the task description. (Show Details)Jul 16 2017, 10:36 PM
lancake edited Tester information (Internal use only). (Show Details)
lancake changed Last tested (version) from 0.199.472 to 0.199.646.